Omniplex Docs

Blog

These API endpoints are related to blog posts on our list.

Get Blog List

GET
/blogs/@all

Gets all blog posts on the list in condensed form

Response Body

Success

application/json
  1. response
posts?array<>

The list of blog posts on the blog

Example Request
curl -X GET 'https://spider.omniplex.gg/blogs/@all'
Example Response
{  "posts": [    {      "author": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "draft": true,      "slug": "string",      "tags": [        "string"      ],      "title": "string"    }  ]}

Get Blog Post

GET
/blogs/{slug}

Gets a blog posts on the list

Path Parameters

slug*string

The slug of the blog post

Response Body

Success

application/json
  1. response
author?

The author of the blog post

content?string

The content of the blog post in markdown format

created_at?string

The time the blog post was created at

Formatdate-time
description?string

The summary/short description of the blog post

draft?boolean

Whether the blog post is a draft or not (hidden or public)

slug?string

The slug/vanity of the blog post

tags?array<>

The tags of the blog post for filtering purposes

title?string

The title of the blog post

Example Request
curl -X GET 'https://spider.omniplex.gg/blogs/string'
Example Response
{  "author": {    "avatar": "string",    "bot": true,    "display_name": "string",    "extra_data": {      "property1": null,      "property2": null    },    "flags": [      "string"    ],    "id": "string",    "status": "string",    "username": "string"  },  "content": "string",  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "draft": true,  "slug": "string",  "tags": [    "string"  ],  "title": "string"}

Get Blog Post

GET
/blogs/{slug}/seo

Gets the minimal SEO information about a blogpost for embed/search purposes. Used by v4 website for meta tags

Path Parameters

slug*string

The slug of the blog post

Response Body

Success

application/json
  1. response
avatar?string

The entities resolved avatar URL (not just hash)

id?string

ID of the entity

name?string

Name of the entity

short?string

Short description of the entity

vanity?string

The entity's vanity code, used to build its canonical URL. Omitted when it has none

Example Request
curl -X GET 'https://spider.omniplex.gg/blogs/string/seo'
Example Response
{  "avatar": "string",  "id": "string",  "name": "string",  "short": "string",  "vanity": "string"}